extends Node

var scene_manager: Node = null

var currency: int = 10
var enchantments: Array = []
var pieces: Array = []

signal currency_changed(new_currency: int)

func _ready() -> void:
	pass # Replace with function body.

func reset_run() -> void:
	currency = 10
	enchantments.clear()
	
	if pieces.is_empty():
		pieces = ['pawn', 'pawn']
	else:
		pieces += ['pawn', 'pawn']
	
	print("Run data reset")
	
func start_run():
	reset_run()
	print(pieces)
	scene_manager.change_scene("res://scenes/game.tscn")

func add_currency(new_currency: int) -> void:
	currency += new_currency
	currency_changed.emit(currency)
	
	print("Total currency: ", currency)
	
func get_currency() -> int:
	return currency
	
func set_currency(new_currency) -> void:
	currency = new_currency
	currency_changed.emit(currency)
	
func add_piece(piece: String) -> void:
	pieces.append(piece.to_lower())
	print(piece)
	print(pieces)
	
func remove_piece(piece: String) -> void:
	pieces.erase(piece)
	
func get_pieces() -> Array:
	return pieces

# DEBUGGING function
func print_pieces() -> void:
	print(pieces)
